# Generated from fuel_prices_europe-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fuel_prices_europe

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Get the average fuel price for each European country
License: MIT
URL: https://github.com/ArjanFrans/fuel-prices-europe
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(activesupport)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(coveralls)
BuildArch: noarch

%description
Find the current fuel prices in Europe. The average fuel price for each
European country will be scraped from the fuel-prices-europe.info website.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.coveralls.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/fuel_prices_europe.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.0-1
- Initial package
